Bug 915130 - [Internal Authentation] Unexpected error when clicking "resend activation email" or "update emaill address"
Summary: [Internal Authentation] Unexpected error when clicking "resend activation ema...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Authentication-Internal   
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
unspecified
urgent
Target Milestone: ---
: 2.2
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-25 02:23 UTC by Ding-Yi Chen
Modified: 2013-11-27 03:34 UTC (History)
3 users (show)

Fixed In Version: 2.2.1-SNAPSHOT (20130301-0034)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 03:22:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ding-Yi Chen 2013-02-25 02:23:22 UTC
Description of problem:
When sign in as an inactive user (not yet click activation link), 
The inactive account page is shown.

However, clicking either Resend activation email or updating email address 
produce error message as follows:

Unexpected error. Please try again. [ Request: /error.seam?cid=612 ] 

Version-Release number of selected component (if applicable):
Zanata version 2.2-SNAPSHOT (20130225-0033

How reproducible:
Always

Steps to Reproduce:
1. Register a new user
2. Sign in
   Now the inactive account page should be shown
3. Click "Resend activation email"

  
Actual results:
Unexpected error. Please try again. [ Request: /error.seam?cid=612 ] 

Expected results:
Activation email is resend.

Additional info:

Comment 1 Alex Eng 2013-02-28 23:27:04 UTC
Fixed in 2.2 release.

See
https://github.com/zanata/zanata/commit/21af1fc15741efdf52d2e1294223f834cff582de

Comment 2 Ding-Yi Chen 2013-03-01 01:23:21 UTC
VERIFIED with Zanata version 2.2.1-SNAPSHOT (20130301-0034)

Comment 3 Lukas Zapletal 2013-04-24 13:44:40 UTC
I just saw it on-line in the production instance:

Unexpected error. Please try again. [ Request: /zanata/error.seam?cid=79138 ]

Zanata version 2.2.2 (20130306-2037).

Comment 4 Ding-Yi Chen 2013-04-26 01:18:35 UTC
Which server did you see this error?

Comment 6 Sean Flanigan 2013-11-27 03:12:53 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 7 Sean Flanigan 2013-11-27 03:15:01 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 8 Sean Flanigan 2013-11-27 03:17:51 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 9 Sean Flanigan 2013-11-27 03:22:58 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 10 Sean Flanigan 2013-11-27 03:32:28 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 11 Sean Flanigan 2013-11-27 03:34:44 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.